Skip to main content

Place Order

Place a new futures order with support for limit and market orders, including take-profit and stop-loss settings.

HTTP Request

POST /api/v1/future/order/place-order

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
marginModestringYesMargin mode: "CROSSED" or "ISOLATED"
sizestringYesOrder size
sidestringYesPosition side: "LONG" or "SHORT"
tradeSidestringYesTrade side: "OPEN" or "CLOSE"
orderTypestringYesOrder type: "LIMIT" or "MARKET"
pricestringNoOrder price (required for LIMIT orders)
forcestringNoTime in force: "POST_ONLY" (optional)
clientOidstringNoClient order ID
presetTakeProfitPricestringNoTake profit trigger price
presetStopLossPricestringNoStop loss trigger price
presetTakeProfitExecutePricestringNoTake profit execution price
presetStopLossExecutePricestringNoStop loss execution price

Request Example

curl -X POST "https://open-api.bydoxe.com/api/v1/future/order/place-order" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json" \
-d '{
"symbol": "BTCUSDT",
"marginMode": "CROSSED",
"size": "0.5",
"side": "LONG",
"tradeSide": "OPEN",
"orderType": "LIMIT",
"price": "40000.00",
"clientOid": "my-order-001",
"presetTakeProfitPrice": "42000.00",
"presetStopLossPrice": "38000.00"
}'

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectOrder response data
> orderIdstringCreated order ID
> clientOidstringClient order ID

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"orderId": "fu-123456789",
"clientOid": "my-order-001"
}
}

Error Codes

CodeMessage
40001symbol does not exist
40010No position to close
40011Custom ID already exists
40012Already ordering
40013A different margin mode is not available than the position currently opened.
40014Open Size is too large
40015Open Size is too small
40016Open Size decimal precision is too high
40017Order price is required
40018Order price decimal precision is too high
40019Insufficient balance
40020Take Profit price decimal precision is too high
40021Take Profit execute price decimal precision is too high
40022Stop Loss price decimal precision is too high
40023Stop Loss execute price decimal precision is too high
40024Price is not the last price
40025Quantity is greater than the position quantity